<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Exception;

use Shopware\Core\Framework\ShopwareHttpException;
use Symfony\Component\HttpFoundation\Response;

class SmsApiRequestException extends ShopwareHttpException
{
    public function getErrorCode(): string
    {
        return 'LINK_MOBILITY_SHOPWARE_SMS_API_PLUGIN__SMS_API_REQUEST';
    }

    public function getStatusCode(): int
    {
        return Response::HTTP_BAD_REQUEST;
    }
}
