<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Factory;

use LinkMobility\ShopwareSmsApiPlugin\Model\SmsConfig;

interface SmsConfigFactoryInterface
{
    public function createAbandonedCartConfig(): SmsConfig;

    public function createBirthdayConfig(): SmsConfig;

    public function createInactivityConfig(): SmsConfig;

    public function createRegistrationCelebrationConfig(): SmsConfig;

    public function createRestockNotifierConfig(): SmsConfig;
}
