<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Factory;

use LinkMobility\ShopwareSmsApiPlugin\Model\Sms;

interface SmsFactoryInterface
{
    public function createNew(): Sms;

    public function createComplete(
        string $phoneNumber,
        string $from,
        string $message
    ): Sms;
}
