<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Model;

class SmsConfig
{
    private bool $active;

    private string $message;

    private ?int $dateModifier;

    public function isActive(): bool
    {
        return $this->active;
    }

    public function setActive(bool $active): void
    {
        $this->active = $active;
    }

    public function getDateModifier(): ?int
    {
        return $this->dateModifier;
    }

    public function setDateModifier(?int $dateModifier): void
    {
        $this->dateModifier = $dateModifier;
    }

    public function getMessage(): string
    {
        return $this->message;
    }

    public function setMessage(string $message): void
    {
        $this->message = $message;
    }
}
