import './extension/sw-flow-sequence-action';
import './snippet/en-GB.json';
import './component/send-sms-action-modal';
import './component/link-mobility-shopware-sms-api-plugin-settings-base';
import './component/link-mobility-shopware-sms-api-plugin-settings-icon';
import './init/link-mobility-shopware-sms-api-plugin-auth.init';
import './extension/sw-flow-sequence-action';
import './snippet/en-GB.json';
import './component/send-sms-action-modal';

Shopware.Module.register('linkMobility-smsApi', {
    type: 'plugin',
    name: 'SMS API settings',
    title: 'SMS API settings',
    description: 'SMS API settings',
    color: '#0c2b54',
    icon: 'default-action-settings',
    routes: {
        index: {
            component: 'link-mobility-shopware-sms-api-plugin-settings-base',
            path: 'index',
            meta: {
                parentPath: 'sw.settings.index',
            },
        },
    },
    settingsItem: {
        group: 'plugins',
        to: 'linkMobility.smsApi.index',
        iconComponent: 'link-mobility-shopware-sms-api-plugin-settings-icon',
        backgroundEnabled: false,
    },
});
