<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service\ScheduledTask;

use Shopware\Core\Framework\MessageQueue\ScheduledTask\ScheduledTask;

class AbandonedCartScheduledTask extends ScheduledTask
{
    public static function getTaskName(): string
    {
        return 'linkMobility.abandonedCartTask';
    }

    public static function getDefaultInterval(): int
    {
        return 86400; // 1 day
    }
}
