<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Extractor;

use Shopware\Core\Content\Product\ProductEntity;

class ProductParameterExtractor implements ProductParameterExtractorInterface
{
    public function extract(ProductEntity $product): array
    {
        return  [
            'product_name' => $product->getTranslation('name'),
        ];
    }
}
