<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Framework\Context;

interface ContactServiceInterface
{
    public function create(CustomerEntity $customer, Context $context): void;

    public function edit(
        CustomerEntity $customer,
        string $customerSmsApiId,
        Context $context
    ): void;

    public function delete(
        CustomerEntity $customer,
        string $customerSmsApiId,
        Context $context
    ): void;
}
