<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service;

use League\OAuth2\Client\Token\AccessToken;

interface TokenCacheAdapterInterface
{
    public function save(AccessToken $accessToken): void;

    public function getToken(): ?AccessToken;
}
